## ezio 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

project(ezio CXX)

set(CMAKE_CXX_STANDARD 14)

set(sources
	main.cpp
	config.cpp
	daemon.cpp
	buffer_pool.cpp
	raw_disk_io.cpp
	service.cpp
)

set(protos
	ezio.proto
)

set(EZIO ezio)

#option(grpc_support "Build EZIO with gRPC support" OFF)

set(LibtorrentRasterbar_USE_STATIC_LIBS OFF)
set(Boost_USE_MULTITHREADED ON)
#set(Boost_USE_STATIC_LIBS OFF)
#set(Boost_USE_STATIC_RUNTIME OFF)

# depends
find_package(LibtorrentRasterbar 2.0 REQUIRED CONFIG)
find_package(Boost 1.74 REQUIRED COMPONENTS system program_options)
#find_package(Protobuf 3 REQUIRED)
find_package(gRPC REQUIRED CONFIG)
find_package(spdlog REQUIRED CONFIG)

# gen proto
#protobuf_generate_cpp(PROTO_SRCS PROTO_HDRS ${protos})
#get_target_property(grpc_cpp_plugin_location gRPC::grpc_cpp_plugin LOCATION)
#protobuf_generate_cpp(GRPC_SRCS GRPC_HDRS ${protos} PLUGIN protoc-gen-grpc=${grpc_cpp_plugin_location})

#list(APPEND sources ${PROTO_SRCS})
#list(APPEND sources ${GRPC_SRCS})
#list(APPEND sources ${grpc_sources})


# start compile part
add_executable(${EZIO}
	${sources}
	${protos}
)

get_target_property(grpc_cpp_plugin_location gRPC::grpc_cpp_plugin LOCATION)
protobuf_generate(TARGET ${EZIO} LANGUAGE cpp)
protobuf_generate(TARGET ${EZIO} LANGUAGE grpc GENERATE_EXTENSIONS .grpc.pb.h .grpc.pb.cc PLUGIN "protoc-gen-grpc=${grpc_cpp_plugin_location}")

target_compile_definitions(${EZIO} PUBLIC
	${GRPC_DEFINE}
	_LARGEFILE64_SOURCE
	_FILE_OFFSET_BITS=64

	TORRENT_USE_LIBCRYPTO
)

target_include_directories(${EZIO} PUBLIC
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIRS}
	${LibtorrentRasterbar_INCLUDE_DIRS}

	${PROTOBUF_INCLUDE_DIRS}
)

target_link_libraries(${EZIO} PRIVATE
	spdlog fmt
	${Boost_LIBRARIES}
	torrent-rasterbar
	${LibtorrentRasterbar_LIBRARIES}

	protobuf::libprotobuf
        gRPC::grpc
        gRPC::grpc++
)

install(TARGETS ${EZIO}
	RUNTIME DESTINATION sbin)

=== debian/changelog ===
ezio (2.0.0-drbl1) unstable; urgency=medium

  * New upstream 2.0.0.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 Feb 2023 06:05:30 +0000

ezio (2.0.0-rc6-drbl1) unstable; urgency=medium

  * New upstream 2.0.0-rc6.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Feb 2023 22:44:51 +0000

ezio (2.0.0-rc5-drbl1) unstable; urgency=medium

  * New upstream 2.0.0-rc5.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Feb 2023 08:39:54 +0000

ezio (2.0.0-rc4-drbl1) unstable; urgency=medium

  * New upstream 2.0.0-rc4.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Feb 2023 19:23:38 +0800

ezio (2.0.0-rc3-drbl3) unstable; urgency=medium

  * Put packages python3-grpc-tools, python3-grpcio and python3-urwid
    in the runtime dependences.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 10 Feb 2023 15:00:58 +0800

ezio (2.0.0-rc3-drbl2) unstable; urgency=medium

  * Missing ezio_pb2_grpc.py & ezio_pb2.py in deb.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 09 Feb 2023 17:15:52 +0800

ezio (2.0.0-rc3-drbl1) unstable; urgency=medium

  * New upstream 2.0.0-rc3.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 09 Feb 2023 16:44:59 +0800

ezio (2.0.0-rc2-drbl2) unstable; urgency=medium

  * New upstream 2.0.0-rc2.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 08 Feb 2023 21:54:01 +0800

ezio (2.0.0-rc1-drbl1) unstable; urgency=medium

  * New upstream 2.0.0-rc1.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 03 Feb 2023 07:03:59 +0800

ezio (1.2.1-drbl2) unstable; urgency=medium

  * Rebuild on Debian Bullseye. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 27 Nov 2021 12:55:00 +0800

ezio (1.2.1-drbl1) unstable; urgency=medium

  * New upstream v1.2.1. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Nov 2021 22:10:08 +0800

ezio (1.2.0-drbl1) unstable; urgency=medium

  * New upstream v1.2.0. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 Sep 2021 18:04:40 +0800

ezio (1.1.11~git20201209a-drbl2) unstable; urgency=medium

  * Rebuilt on Debian with new libboost-program-options1.74-dev.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Sep 2021 10:42:39 +0800

ezio (1.1.11~git20201209a-drbl1) unstable; urgency=medium

  * New upstream from git repository on 2020/12/09: 5fa462f.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 09 Dec 2020 20:36:28 +0800

ezio (1.1.11-drbl1) unstable; urgency=medium

  * New upstream v1.1.11. 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Dec 2020 13:12:19 +0800

ezio (1.1.10-drbl1) unstable; urgency=medium

  * New upstream v1.1.10. 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Dec 2020 06:11:12 +0800

ezio (1.1.9-drbl1) unstable; urgency=medium

  * New upstream v1.1.9. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 20 Aug 2019 10:21:38 +0800

ezio (1.1.9~pre1-drbl1) unstable; urgency=medium

  * New upstream v1.1.8 with branch hotfix_early_exit:
    https://github.com/tjjh89017/ezio/commit/fbc4b5c6fa5ae6dd5036e0b0c602cceafa1fe002

 -- Steven Shiau <steven@clonezilla.org>  Fri, 16 Aug 2019 11:51:44 +0800

ezio (1.1.8~git20190813.f5af193-drbl1) unstable; urgency=medium

  * New upstream v1.1.8 with branch hotfix_early_exit:
    https://github.com/tjjh89017/ezio/tree/hotfix_early_exit

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Aug 2019 21:10:37 +0800

ezio (1.1.8-drbl2) unstable; urgency=medium

  * Rebuilt with new libtorrent-rasterbar (1.1.13).

 -- Steven Shiau <steven@clonezilla.org>  Thu, 09 May 2019 13:25:47 +0800

ezio (1.1.8-drbl1) unstable; urgency=medium

  * New upstream v1.1.8.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 24 Feb 2019 13:01:04 +0800

ezio (1.1.7-drbl2) unstable; urgency=medium

  * Use cmake instead of the makefile. 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 24 Jan 2019 07:45:39 +0800

ezio (1.1.7-drbl1) unstable; urgency=medium

  * New upstream v1.1.7.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Jan 2019 22:34:16 +0800

ezio (1.1.6-drbl1) unstable; urgency=medium

  * New upstream v1.1.6.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 15 Jan 2019 22:23:27 +0800

ezio (1.1.4-drbl1) unstable; urgency=medium

  * New upstream v1.1.4 with commit 5ee76f1.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 14 Jan 2019 14:10:19 +0800

ezio (1.1.3-drbl1) unstable; urgency=medium

  * New upstream v1.1.3.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 10 Jan 2019 06:52:52 +0800

ezio (1.1.2-drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream v1.1.2.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Jan 2019 13:38:40 +0800

ezio (20171129-drbl1) unstable; urgency=medium

  * New upstream from branch upload_tuning:
    https://github.com/tjjh89017/ezio/tree/upload_tuning

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 Nov 2017 22:50:06 +0800

ezio (20170401-drbl1) experimental; urgency=medium

  * New upstream.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Apr 2017 08:46:02 +0800

ezio (20170330-drbl1) experimental; urgency=medium

  * New upstream.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 30 Mar 2017 09:24:25 +0800

ezio (20170329-drbl1) experimental; urgency=medium

  * New upstream with more parameters.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 29 Mar 2017 22:19:35 +0800

ezio (20170326-drbl1) experimental; urgency=medium

  * New upstream with bt_buffer enabled.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Mar 2017 17:10:16 +0800

ezio (20170325-drbl1) experimental; urgency=medium

  * New upstream.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Mar 2017 18:07:22 +0800

ezio (20170323-drbl1) experimental; urgency=medium

  * Enable the upstream logger.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Mar 2017 09:46:01 +0800

ezio (20170322-drbl1) experimental; urgency=medium

  * New upstream: branch logger from
    https://github.com/tjjh89017/ezio/tree/logger



=== debian/control ===
Source: ezio
Section: utils
Priority: optional
Maintainer: Steven Shiau <steven@clonezilla.org>
Build-Depends: debhelper (>= 12),
	       dh-autoreconf,
	       libssl-dev,
               libtorrent-rasterbar-dev (>= 2.0.8),
	       libboost-chrono-dev (>=1.74),
	       libboost-random-dev (>=1.74),
	       libboost-program-options-dev (>=1.74),
	       pkg-config,
	       cmake (>=3.16),
               libgrpc-dev, libgrpc++-dev, libprotobuf-dev, protobuf-compiler-grpc, libspdlog-dev, python3-grpc-tools, python3-grpcio, python3-urwid, python3-libtorrent
Standards-Version: 4.5.1
Homepage: https://github.com/tjjh89017/ezio.git

Package: ezio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3-grpc-tools, python3-grpcio, python3-urwid
Description: Bittorrent-based Disk Cloner
 Ezio is a Bittorrent-based Disk Cloner. It's heavily
 under development. Do not try it unless you know
 what you are doing.

#Package: ezio-static
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: Standalone bittorrent-based Disk Cloner
# Ezio-static is a standalone bittorrent-based Disk Cloner.
# It's heavily under development. Do not try it unless you know
# what you are doing.

Package: ezio-dbg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bittorrent-based Disk Cloner
 Ezio is a Bittorrent-based Disk Cloner. It's heavily
 under development. Do not try it unless you know
 what you are doing.

## ezio 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,17 +66,15 @@
 target_include_directories(${EZIO} PUBLIC
 	${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_CURRENT_BINARY_DIR}
-	${Boost_INCLUDE_DIRS}
-	${LibtorrentRasterbar_INCLUDE_DIRS}
-
-	${PROTOBUF_INCLUDE_DIRS}
 )
 
 target_link_libraries(${EZIO} PRIVATE
-	spdlog fmt
-	${Boost_LIBRARIES}
-	torrent-rasterbar
-	${LibtorrentRasterbar_LIBRARIES}
+	spdlog
+	fmt
+	Boost::boost
+	Boost::system
+	Boost::program_options
+	LibtorrentRasterbar::torrent-rasterbar
 
 	protobuf::libprotobuf
         gRPC::grpc

=== utils/requirements.txt ===
absl-py
grpcio
grpcio-tools
protobuf
six

=== debian/changelog ===
ezio (2.0.1-drbl1) unstable; urgency=medium

  * New upstream 2.0.1.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 Feb 2023 14:23:11 +0000

## ezio 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,12 @@
 #list(APPEND sources ${GRPC_SRCS})
 #list(APPEND sources ${grpc_sources})
 
+# generate git version
+execute_process(COMMAND git describe --tags
+	TIMEOUT 5
+	OUTPUT_VARIABLE GIT_VERSION
+	OUTPUT_STRIP_TRAILING_WHITESPACE
+)
 
 # start compile part
 add_executable(${EZIO}
@@ -56,6 +62,8 @@
 protobuf_generate(TARGET ${EZIO} LANGUAGE grpc GENERATE_EXTENSIONS .grpc.pb.h .grpc.pb.cc PLUGIN "protoc-gen-grpc=${grpc_cpp_plugin_location}")
 
 target_compile_definitions(${EZIO} PUBLIC
+	GIT_VERSION="${GIT_VERSION}"
+
 	${GRPC_DEFINE}
 	_LARGEFILE64_SOURCE
 	_FILE_OFFSET_BITS=64

=== debian/changelog ===
ezio (2.0.2-drbl1) unstable; urgency=medium

  * New upstream 2.0.1.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 28 Apr 2023 13:52:55 +0000

ezio (2.0.2-rc3-drbl1) unstable; urgency=medium

  * New upstream 2.0.2-rc3.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 28 Apr 2023 01:57:47 +0000

## ezio 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,11 @@
 	OUTPUT_STRIP_TRAILING_WHITESPACE
 )
 
+# if no git
+if(GIT_VERSION STREQUAL "")
+	set(GIT_VERSION 2.0.3)
+endif()
+
 # start compile part
 add_executable(${EZIO}
 	${sources}

=== debian/changelog ===
ezio (2.0.3-drbl1) unstable; urgency=medium

  * New upstream 2.0.3.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 05 Jul 2023 23:28:53 +0000

## ezio 2.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	buffer_pool.cpp
 	raw_disk_io.cpp
 	service.cpp
+	log.cpp
 )
 
 set(protos
@@ -53,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.3)
+	set(GIT_VERSION 2.0.4)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.4-drbl1) unstable; urgency=medium

  * New upstream 2.0.3.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 24 Sep 2023 12:22:58 +0000

## ezio 2.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.4)
+	set(GIT_VERSION 2.0.5)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.5-drbl1) unstable; urgency=medium

  * New upstream 2.0.5.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 07 Oct 2023 01:55:22 +0000

## ezio 2.0.6

=== debian/changelog ===
ezio (2.0.6-drbl1) unstable; urgency=medium

  * New upstream 2.0.6.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Nov 2023 10:00:27 +0000

## ezio 2.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.5)
+	set(GIT_VERSION 2.0.7)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.7-drbl1) unstable; urgency=medium

  * New upstream 2.0.7.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Dec 2023 07:51:28 +0000

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://github.com/tjjh89017/ezio.git

## ezio 2.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.7)
+	set(GIT_VERSION 2.0.8)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.8-drbl1) unstable; urgency=medium

  * New upstream 2.0.8.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Jan 2024 07:49:02 +0000

## ezio 2.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.8)
+	set(GIT_VERSION 2.0.9)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.9-drbl1) unstable; urgency=medium

  * New upstream 2.0.9.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Feb 2024 02:12:25 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh ${@}

override_dh_auto_build:
	cmake ./ -Dstrip=ON/OFF -DCMAKE_INSTALL_PREFIX=/usr/
	@$(MAKE)

override_dh_auto_install:
	@$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -m 755 utils/*.py $(CURDIR)/debian/tmp/usr/sbin/
	cd $(CURDIR)/utils/; ./ezio_create_proto_py.sh
	install -m 755 utils/ezio_pb2.py utils/ezio_pb2_grpc.py $(CURDIR)/debian/tmp/usr/sbin/

override_dh_strip:
	        dh_strip --dbg-package=ezio-dbg

## ezio 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 #list(APPEND sources ${grpc_sources})
 
 # generate git version
-execute_process(COMMAND git describe --tags
+execute_process(COMMAND git describe --tags --dirty
 	TIMEOUT 5
 	OUTPUT_VARIABLE GIT_VERSION
 	OUTPUT_STRIP_TRAILING_WHITESPACE
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.9)
+	set(GIT_VERSION 2.0.10)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.10-drbl1mantic1) unstable; urgency=medium

  * New upstream 2.0.10.
  * Build on Ubuntu Mantic.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Mar 2024 21:53:22 +0000

ezio (2.0.10-drbl1) unstable; urgency=medium

  * New upstream 2.0.10.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Mar 2024 21:24:25 +0000

ezio (2.0.9-drbl2) unstable; urgency=medium

  * Rebuild on Debian Sid since upstream updated 2.0.9 with version tag.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Feb 2024 05:57:32 +0000

## ezio 2.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.10)
+	set(GIT_VERSION 2.0.11)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.11-drbl1noble1) unstable; urgency=medium

  * New upstream 2.0.11.
  * Build on Ubuntu Noble.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 08 Apr 2024 02:45:29 +0000

ezio (2.0.11-drbl1) unstable; urgency=medium

  * New upstream 2.0.11.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 08 Apr 2024 01:10:34 +0000

ezio (2.0.11-rc1-drbl1) unstable; urgency=medium

  * New upstream 2.0.11-RC1.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 30 Mar 2024 04:03:07 +0000

## ezio 2.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.11)
+	set(GIT_VERSION 2.0.12)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.12-drbl1noble1) unstable; urgency=medium

  * New upstream 2.0.11.
  * Build on Ubuntu Noble.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 19 Oct 2024 12:17:03 +0000

ezio (2.0.12-drbl1) unstable; urgency=medium

  * New upstream 2.0.11.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 19 Oct 2024 11:55:25 +0000

## ezio 2.0.14

=== debian/changelog ===
ezio (2.0.14-drbl2noble1) unstable; urgency=medium

  * New upstream 2.0.14.
  * Rebuilt on Ubuntu Noble.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Oct 2024 05:40:15 +0000

ezio (2.0.14-drbl1) unstable; urgency=medium

  * New upstream 2.0.14.
  * Build on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Oct 2024 00:04:03 +0000

## ezio 2.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # if no git
 if(GIT_VERSION STREQUAL "")
-	set(GIT_VERSION 2.0.12)
+	set(GIT_VERSION 2.0.15)
 endif()
 
 # start compile part

=== debian/changelog ===
ezio (2.0.15-drbl1plucky1) unstable; urgency=medium

  * New upstream 2.0.15.
  * Rebuilt on Ubuntu Plucky.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Dec 2024 05:47:40 -0700

ezio (2.0.15-drbl1) unstable; urgency=medium

  * New upstream 2.0.15.
  * Rebuilt on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 15 Dec 2024 13:48:35 +0000

ezio (2.0.14-drbl2) unstable; urgency=medium

  * New upstream 2.0.14.
  * Rebuilt on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Oct 2024 05:40:15 +0000

## ezio 2.0.16

=== debian/changelog ===
ezio (2.0.16-drbl1resolute1) unstable; urgency=medium

  * Rebuilt on Ubuntu Resulute.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Nov 2025 19:55:37 +0800

ezio (2.0.16-drbl1) unstable; urgency=medium

  * New upstream 2.0.16.
  * Rebuilt on Debian Sid. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 07 May 2025 11:51:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 12),
 	       dh-autoreconf,
 	       libssl-dev,
-               libtorrent-rasterbar-dev (>= 2.0.8),
+               libtorrent-rasterbar-dev (>= 2.0.7),
 	       libboost-chrono-dev (>=1.74),
 	       libboost-random-dev (>=1.74),
 	       libboost-program-options-dev (>=1.74),

## ezio 20161128

=== Makefile ===
PROG = ezio
STATIC_PROG = static-$(PROG)

CC =
CXX = g++
LD = g++
CXXFLAGS = -std=c++11 -I./
LDFLAGS = -ltorrent-rasterbar -lboost_system -lpthread -lstdc++ -lm -lgcc -lssl -lcrypto -lboost_chrono -lboost_random -ldl

OBJS = main.o
INC = 

.PHONY: all
all: $(PROG)

.PHONY: static
static: $(STATIC_PROG)

$(PROG): $(OBJS) $(INC)
	$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(CXXFLAGS)

$(STATIC_PROG): $(OBJS) $(INC)
	$(LD) -static -o $(STATIC_PROG) $(OBJS) $(LDFLAGS) $(CXXFLAGS)
	strip -s $(STATIC_PROG)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(LDFLAGS) -o $*.o $*.cpp

.PHONY: clean
clean:
	rm -rf $(OBJS) $(PROG) $(STATIC_PROG)
	make -C utils clean

.PHONY: netboot
netboot: static
	make -C utils all

=== debian/control ===
Source: ezio
Section: utils
Priority: optional
Maintainer: Steven Shiau <steven@clonezilla.org>
Build-Depends: debhelper (>= 9),
	       dh-autoreconf,
	       libssl-dev,
               libtorrent-rasterbar-dev (>= 1.1.0),
	       libboost-chrono-dev,
	       libboost-random-dev,
	       pkg-config,
Standards-Version: 3.9.6
Homepage: https://github.com/tjjh89017/ezio.git

Package: ezio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bittorrent-based Disk Cloner
 Ezio is a Bittorrent-based Disk Cloner. It's heavily
 under development. Do not try it unless you know
 what you are doing.

Package: ezio-dbg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bittorrent-based Disk Cloner
 Ezio is a Bittorrent-based Disk Cloner. It's heavily
 under development. Do not try it unless you know
 what you are doing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh ${@}

override_dh_auto_build:
	@$(MAKE)

override_dh_auto_install:
	@$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
override_dh_strip:
	        dh_strip --dbg-package=ezio-dbg

## ezio 20170304

=== create_torrent/Makefile ===
PROG = create_torrent

CC =
CXX = g++
LD = g++
CXXFLAGS = -std=c++11 -I./
LDFLAGS = -ltorrent-rasterbar -lboost_system -lpthread -lstdc++ -lm -lgcc -lssl -lcrypto -lboost_chrono -lboost_random -ldl

OBJS = create_torrent.o
INC = 

.PHONY: all
all: $(PROG)

$(PROG): $(OBJS) $(INC)
	$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(CXXFLAGS)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(LDFLAGS) -o $*.o $*.cpp

.PHONY: clean
clean:
	rm -rf $(OBJS) $(PROG)

=== seed_torrent/Makefile ===
PROG = seed_torrent

CC =
CXX = g++
LD = g++
CXXFLAGS = -std=c++11 -I./
LDFLAGS = -ltorrent-rasterbar -lboost_system -lpthread -lstdc++ -lm -lgcc -lssl -lcrypto -lboost_chrono -lboost_random -ldl

OBJS = seed_torrent.o
INC = 

.PHONY: all
all: $(PROG)

$(PROG): $(OBJS) $(INC)
	$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(CXXFLAGS)

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(LDFLAGS) -o $*.o $*.cpp

.PHONY: clean
clean:
	rm -rf $(OBJS) $(PROG)

## ezio 20170401

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 CXX = g++
 LD = g++
 CXXFLAGS = -std=c++11 -I./
-LDFLAGS = -ltorrent-rasterbar -lboost_system -lpthread -lstdc++ -lm -lgcc -lssl -lcrypto -lboost_chrono -lboost_random -ldl
+LDFLAGS = -ltorrent-rasterbar -lboost_system -lstdc++ -lm -lgcc -lssl -lcrypto -lboost_chrono -lboost_random -ldl -lpthread
 
-OBJS = main.o
+OBJS = main.o \
+	logger.o
 INC = 
 
 .PHONY: all

=== utils/Makefile ===
ARCH = x86_64
LINUX = linux
INITRD = initrd.img
PROG = ezio
STATIC_PROG = static-$(PROG)
VERSION = $(shell uname -r)

BUSYBOX_URL = https://busybox.net/downloads/binaries/busybox-$(ARCH)

TEMP_INITRD = initrd.img.tmp
TEMP_DIR = tmp
TEMP = $(TEMP_DIR) $(TEMP_INITRD)

.PHONY: all
all: $(LINUX) $(INITRD)

$(LINUX):
	cp /boot/vmlinuz-$(VERSION) $(LINUX)

$(INITRD):
	cp /boot/initrd.img-$(VERSION) $(TEMP_INITRD)

	mkdir $(TEMP_DIR)
	cd $(TEMP_DIR) && zcat ../$(TEMP_INITRD) | cpio -id
	
# mv busybox
	mv $(TEMP_DIR)/bin/busybox $(TEMP_DIR)/bin/busybox-alter
# download new busybox
	wget -q $(BUSYBOX_URL) -O $(TEMP_DIR)/bin/busybox
	chmod +x $(TEMP_DIR)/bin/busybox

# TODO maybe we need `install` rather than `mv`
	cp init $(TEMP_DIR)/init
	cp inittab $(TEMP_DIR)/etc/
	cp udhcpc.sh $(TEMP_DIR)/bin/
	cp startup.sh $(TEMP_DIR)/bin/
	cp ../$(STATIC_PROG) $(TEMP_DIR)/bin/

# re-pack initrd.img
	cd $(TEMP_DIR) && find . -print0 | cpio --null -o --format=newc | gzip -9 > ../$(INITRD)

.PHONY: temp_clean
temp_clean:
	rm -rf $(TEMP)

.PHONY: clean
clean: temp_clean
	rm -rf $(LINUX) $(INITRD)

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,14 @@
  under development. Do not try it unless you know
  what you are doing.
 
+Package: ezio-static
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Standalone bittorrent-based Disk Cloner
+ Ezio-static is a standalone bittorrent-based Disk Cloner.
+ It's heavily under development. Do not try it unless you know
+ what you are doing.
+
 Package: ezio-dbg
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 override_dh_auto_build:
 	@$(MAKE)
+	@$(MAKE) static
 
 override_dh_auto_install:
 	@$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
 override_dh_strip:
 	        dh_strip --dbg-package=ezio-dbg
